SFML 2.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Private Member Functions | List of all members
sf::Context Class Reference
Window module

Class holding a valid drawing context. More...

`#include <Context.hpp>`

Inheritance diagram for sf::Context:

## Public Member Functions
| Context ()
| Default constructor. More...
| ~Context ()
| Destructor. More...
bool | setActive (bool active)
| Activate or deactivate explicitly the context. More...
| Context (const ContextSettings &settings, unsigned int width, unsigned int height)
| Construct a in-memory context. More...

## Static Public Member Functions
static GlFunctionPointer | getFunction (const char *name)
| Get the address of an OpenGL function. More...

## Static Private Member Functions
static void | ensureGlContext ()
| Make sure that a valid OpenGL context exists in the current thread. More...

## Detailed Description

Class holding a valid drawing context.

If you need to make OpenGL calls without having an active window (like in a thread), you can use an instance of this class to get a valid context.

Having a valid context is necessary for *every* OpenGL call.

Note that a context is only active in its current thread, if you create a new thread it will have no valid context by default.

To use a sf::Context instance, just construct it and let it live as long as you need a valid context. No explicit activation is needed, all it has to do is to exist. Its destructor will take care of deactivating and freeing all the attached resources.

Usage example:

void threadFunction(void*)
{
sf::Context context;
// from now on, you have a valid context
// you can make OpenGL calls
glClear(GL_DEPTH_BUFFER_BIT);
}
// the context is automatically deactivated and destroyed
// by the sf::Context destructor

Definition at line 50 of file Context.hpp.

## Constructor & Destructor Documentation

sf::Context::Context | ( |  | ) |

Default constructor.

The constructor creates and activates the context

sf::Context::~Context | ( |  | ) |

Destructor.

The destructor deactivates and destroys the context

sf::Context::Context | ( | const ContextSettings & | settings,
|  | unsigned int | width,
|  | unsigned int | height
| ) |  |

Construct a in-memory context.

This constructor is for internal use, you don't need to bother with it.

Parameters

  settings | Creation parameters
  width | Back buffer width
  height | Back buffer height

## Member Function Documentation

static GlFunctionPointer sf::Context::getFunction | ( | const char * | name | ) |
| static

Get the address of an OpenGL function.

Parameters

  name | Name of the function to get the address of

Returns
  Address of the OpenGL function, 0 on failure

bool sf::Context::setActive | ( | bool | active | ) |

Activate or deactivate explicitly the context.

Parameters

  active | True to activate, false to deactivate

Returns
  True on success, false on failure

The documentation for this class was generated from the following file:

- Context.hpp